カテゴリー別アーカイブ: Composer

composer.jsonに依存パッケージを記述する

composer.jsonに依存パッケージを記述するには,

$ composer require phpunit/phpunit

これで, composer.jsonに

"require": {
    "phpunit/phpunit": "4.8.6"
}

のように追記されます.

もっとも, PHPUnitのような依存パッケージは開発時のみに必要なので, –devオプションをつけてインストールします.

$ composer require --dev phpunit/phpunit

–devオプションをつけてインストールすると, composer.jsonに

"require-dev": {
    "phpunit/phpunit": "4.8.6"
}

のように追記されます.

PHP Composerインストール

ComposerはJavaScriptのnpmに相当するパッケージマネージャツールです.

今日はそのインストール方法を備忘録として残しておきます.

といっても, curlでダウンロードして, グローバルにインストールするだけです.

$ curl -sS https://getcomposer.org/installer | php
$ sudo mv composer.phar /usr/local/bin/composer

インストールが完了したことを確認.

$ composer --version
Composer version 1.0-dev (9e67bc761be98b45875855003eb8b2f23f4bf5a5) 2015-09-19 14:32:06